/* ========================================
 *  PurestConsole3Channel - PurestConsole3Channel.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) Airwindows, Airwindows uses the MIT license
 * ======================================== */

#ifndef __PurestConsole3Channel_PurestConsole3Channel_H
#define __PurestConsole3Channel_PurestConsole3Channel_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::PurestConsole3Channel {
enum {
  kNumParameters = 0
}; //


class PurestConsole3Channel final : public SfxCoreExtensionV1
{
public:
    PurestConsole3Channel();
    ~PurestConsole3Channel();
    void processBlock(float** inputs, float** outputs, int sampleFrames) override;
    int getParameterCount() const override;
    float getParameter(int index) override;
    void setParameter(int index, float value) override;
    void getParameterLabel(int index, char *text) override;
    void getParameterName(int index, char *text) override;
    void getParameterDisplay(int index, char *text) override;
private:
    
	uint32_t fpdL;
	uint32_t fpdR;
	//default stuff
};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
